Subject: Re: bug#28924: 25.3; All hg entries on single line possibly due to typo in vc-hg-root-log-format.

From: Oleksandr Gavenko <[email-masked]>
Date: Wed, 25 Oct 2017 13:50:52 +0300

On Wed, Oct 25, 2017 at 1:01 AM, Ken Brown <[email-masked]> wrote:
> On 10/24/2017 5:37 PM, Oleksandr Gavenko wrote:
>>
>> Cygwin Emacs w32 is not stable to day long usage. Due to BLODA fork()
>> it sticks once or twice a day.
>
> Are you using 32-bit Cygwin or 64-bit Cygwin?  I've never had fork issues
> with 64-bit Cygwin.
>
64-bit Cygwin.

I forgot exact details when problem happen. I see forked Emacs which I
usually terminate. It's unclear what process is going to be started.

I work with files under Git or Hg so Emacs makes a lot of forks during a day.

Cygwin installation is in exclusion in Windows Defender.

Here's my report:

https://cygwin.com/ml/cygwin/2017-06/msg00126.html
  Sometimes Emacs sticks on forking...

Other also reported same instability but they have 3rd party anti
virus software.

I am glad to disable Windows Defender but for Windows 10 Home edition
they don't provide official way...